using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace petlja
{
	class Program
	{
		static void Main(string[] args)
		{
			string[] unos = Console.ReadLine().Split(' ');
			uint n = Convert.ToUInt32(unos[0]), a = Convert.ToUInt32(unos[1]);
			if (a * 3 > n)
			{
				Console.WriteLine("-1");
			}
			else
			{
				uint p, m = n;
				p = (n - (a * 3));
				for (int i = 1; i <= 3; i++)
				{
					if (i == 3 && n >= 6 * (a - 1))
					{
						a = m / 2 + 1;
					}
					if ((a - 2) <= p)
					{
						if (i == 2 && n % 2 == 1)
						{
							p -= (a - 3);
							m -= (a + a - 3);
							Console.WriteLine((a - 3) + " " + a);
						}
						else
						{
							p -= (a - 2);
							m -= (a + a - 2);
							Console.WriteLine((a - 2) + " " + a);
						}
					}
					else
					{
						m -= a + p;
						Console.WriteLine(p + " " + a);
						p = 0;
					}
				}
			}
		}
	}
}